Scheduling Pages
Add Event Page Dates
Add one or more dates to an event page, each with its time and seat limit.
POST
/
event-types
/
{uuid}
/
sessions
Add event page dates
curl --request POST \
--url https://api.zeeg.me/v2/event-types/{uuid}/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dates": [
"2026-12-05",
"2026-12-12"
],
"startTime": "14:00",
"endTime": "16:00"
}
'import requests
url = "https://api.zeeg.me/v2/event-types/{uuid}/sessions"
payload = {
"dates": ["2026-12-05", "2026-12-12"],
"startTime": "14:00",
"endTime": "16:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dates: ['2026-12-05', '2026-12-12'], startTime: '14:00', endTime: '16:00'})
};
fetch('https://api.zeeg.me/v2/event-types/{uuid}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zeeg.me/v2/event-types/{uuid}/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'dates' => [
'2026-12-05',
'2026-12-12'
],
'startTime' => '14:00',
'endTime' => '16:00'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.zeeg.me/v2/event-types/{uuid}/sessions"
payload := strings.NewReader("{\n \"dates\": [\n \"2026-12-05\",\n \"2026-12-12\"\n ],\n \"startTime\": \"14:00\",\n \"endTime\": \"16:00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.zeeg.me/v2/event-types/{uuid}/sessions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"dates\": [\n \"2026-12-05\",\n \"2026-12-12\"\n ],\n \"startTime\": \"14:00\",\n \"endTime\": \"16:00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zeeg.me/v2/event-types/{uuid}/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"dates\": [\n \"2026-12-05\",\n \"2026-12-12\"\n ],\n \"startTime\": \"14:00\",\n \"endTime\": \"16:00\"\n}"
response = http.request(request)
puts response.read_body{
"timeZone": "<string>",
"sessions": [
{
"uuid": "<string>",
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"seats": 123,
"seatsTaken": 123
}
]
}{
"message": "Unauthenticated."
}Body
application/json
Response
Created. sessions holds the dates saved, earliest first.
Last modified on November 21, 2026
⌘I
Add event page dates
curl --request POST \
--url https://api.zeeg.me/v2/event-types/{uuid}/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dates": [
"2026-12-05",
"2026-12-12"
],
"startTime": "14:00",
"endTime": "16:00"
}
'import requests
url = "https://api.zeeg.me/v2/event-types/{uuid}/sessions"
payload = {
"dates": ["2026-12-05", "2026-12-12"],
"startTime": "14:00",
"endTime": "16:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dates: ['2026-12-05', '2026-12-12'], startTime: '14:00', endTime: '16:00'})
};
fetch('https://api.zeeg.me/v2/event-types/{uuid}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zeeg.me/v2/event-types/{uuid}/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'dates' => [
'2026-12-05',
'2026-12-12'
],
'startTime' => '14:00',
'endTime' => '16:00'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.zeeg.me/v2/event-types/{uuid}/sessions"
payload := strings.NewReader("{\n \"dates\": [\n \"2026-12-05\",\n \"2026-12-12\"\n ],\n \"startTime\": \"14:00\",\n \"endTime\": \"16:00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.zeeg.me/v2/event-types/{uuid}/sessions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"dates\": [\n \"2026-12-05\",\n \"2026-12-12\"\n ],\n \"startTime\": \"14:00\",\n \"endTime\": \"16:00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zeeg.me/v2/event-types/{uuid}/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"dates\": [\n \"2026-12-05\",\n \"2026-12-12\"\n ],\n \"startTime\": \"14:00\",\n \"endTime\": \"16:00\"\n}"
response = http.request(request)
puts response.read_body{
"timeZone": "<string>",
"sessions": [
{
"uuid": "<string>",
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"seats": 123,
"seatsTaken": 123
}
]
}{
"message": "Unauthenticated."
}